# Class PreliminaryGetDataRequest

#### Hierarchy

- unknown
  - PreliminaryGetDataRequest

- Defined in src/protobuf/pb_pb.d.ts:315
- Defined in src/protobuf/pb_pb.d.ts:340

#####
Index

### Constructors

constructor

### Methods

addExcludedKeys
addSupportedCapabilities
clearExcludedKeysList
clearSupportedCapabilitiesList
getExcludedKeysList
getNonce
getSupportedCapabilitiesList
getVersion
serializeBinary
setExcludedKeysList
setNonce
setSupportedCapabilitiesList
setVersion
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PreliminaryGetDataRequest(): PreliminaryGetDataRequest

- #### Returns PreliminaryGetDataRequest

  Inherited from jspb.Message.constructor

## Methods

### addExcludedKeys

- addExcludedKeys(value: string | Uint8Array, index?: number): PreliminaryGetDataRequest

- #### Parameters

  - ##### value: string | Uint8Array

  - ##### `Optional` index: number

  #### Returns PreliminaryGetDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:322

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): PreliminaryGetDataRequest

- #### Parameters

  - ##### value: number

  - ##### `Optional` index: number

  #### Returns PreliminaryGetDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:327

### clearExcludedKeysList

- clearExcludedKeysList(): PreliminaryGetDataRequest

- #### Returns PreliminaryGetDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:321

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): PreliminaryGetDataRequest

- #### Returns PreliminaryGetDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:326

### getExcludedKeysList

- getExcludedKeysList(): (string | Uint8Array)[]

- #### Returns (string | Uint8Array)[]

  - Defined in src/protobuf/pb_pb.d.ts:319

### getNonce

- getNonce(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:316

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- #### Returns number[]

  - Defined in src/protobuf/pb_pb.d.ts:324

### getVersion

- getVersion(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:329

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:332

### setExcludedKeysList

- setExcludedKeysList(value: (string | Uint8Array)[]): PreliminaryGetDataRequest

- #### Parameters

  - ##### value: (string | Uint8Array)[]

  #### Returns PreliminaryGetDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:320

### setNonce

- setNonce(value: number): PreliminaryGetDataRequest

- #### Parameters

  - ##### value: number

  #### Returns PreliminaryGetDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:317

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): PreliminaryGetDataRequest

- #### Parameters

  - ##### value: number[]

  #### Returns PreliminaryGetDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:325

### setVersion

- setVersion(value: string): PreliminaryGetDataRequest

- #### Parameters

  - ##### value: string

  #### Returns PreliminaryGetDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:330

### toObject

- toObject(includeInstance?: boolean): PreliminaryGetDataRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PreliminaryGetDataRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:333

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PreliminaryGetDataRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PreliminaryGetDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:336

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PreliminaryGetDataRequest, reader: BinaryReader): PreliminaryGetDataRequest

- #### Parameters

  - ##### message: PreliminaryGetDataRequest

  - ##### reader: BinaryReader

  #### Returns PreliminaryGetDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:337

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PreliminaryGetDataRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PreliminaryGetDataRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:335

### `Static` toObject

- toObject(includeInstance: boolean, msg: PreliminaryGetDataRequest): PreliminaryGetDataRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PreliminaryGetDataRequest

  #### Returns PreliminaryGetDataRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:334

Generated using TypeDoc